import { addDays } from '@astral/utils/date/addDays';
import { isDate } from '@astral/utils/date/isDate';
/**
 * Утилита проверки целевой даты.
 * Если целевая дата в наличии, то возвращается дата со смещением равным offset.
 * Если целевая дата отсутствует, то вернется reserve дата.
 */
export const getBoundaryDate = ({ reserve, target, offset = 0, }) => {
    if (isDate(target)) {
        return addDays(target, offset);
    }
    return reserve;
};
